Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78035 - PCI resource allocation errors at boot time
Summary: PCI resource allocation errors at boot time
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-18 04:26 UTC by Robert G. 'Doc' Savage
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:12 UTC


Attachments (Terms of Use)

Description Robert G. 'Doc' Savage 2002-11-18 04:26:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Booting Psyche errata kernels (2.4.18-17.8.0 and 2.4.18-18.8.0) results in
multiple resource allocation errors for several PCI devices. Drivers for those
devices will not load.

Problem does not occur in original 2.4.18-14 kernel.

Problem may be related to Symbios 53c810 SCSI host adapter (08:00.0) installed
in IBM Thinkpad docking station. Problem did not occur when booting undocked
with 2.4.18-17.8.0 kernel. Have not yet checked undocked bootup since upgrading
to 2.4.18-18.8.0 kernel.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Place IBM Thinkpad A22p in docking station w/Symbios 53c810 host adapter.
2. Boot to 2.4.18-17.8.0 or 2.4.18-18.8.0 kernel
3. See dmesg results below
	

Actual Results:  dmesg reports:
PCI: Cannot allocate resource region 0 of device 08:00.0
PCI: Cannot allocate resource region 1 of device 08:00.0
PCI: Cannot allocate resource region 0 of device 08:01.0
PCI: Cannot allocate resource region 1 of device 08:01.0
PCI: Cannot allocate resource region 2 of device 08:01.0
PCI: Cannot allocate resource region 3 of device 08:01.0
PCI: Cannot allocate resource region 4 of device 08:01.0
PCI: Cannot allocate resource region 0 of device 08:02.0
PCI: Cannot allocate resource region 0 of device 08:02.1
PCI: Failed to allocate resource 0(0-ff) for 08:00.0
PCI: Failed to allocate resource 1(0-ff) for 08:00.0
PCI: Failed to allocate resource 4(0-f) for 08:01.0
PCI: Failed to allocate resource 0(0-fff) for 08:02.0
PCI: Failed to allocate resource 0(0-fff) for 08:02.1
Limiting direct PCI/PCI transfers.


Expected Results:  Modular PCI device drivers should load normally.

Additional info:

lspci -vv output:
08:00.0 Non-VGA unclassified device: LSI Logic / Symbios Logic 53c810 (rev 01)
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64
        Interrupt: pin A routed to IRQ 11
        Region 0: I/O ports at <ignored> [size=256]
        Region 1: Memory at <ignored> (32-bit, non-prefetchable) [size=256]

08:01.0 IDE interface: CMD Technology Inc PCI0648 (rev 01) (prog-if 8f [Master
SecP SecO PriP PriO])
        Subsystem: CMD Technology Inc PCI0648
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64 (500ns min, 1000ns max)
        Interrupt: pin A routed to IRQ 11
        Region 0: I/O ports at <ignored> [size=8]
        Region 1: I/O ports at <ignored> [size=4]
        Region 2: I/O ports at <ignored> [size=8]
        Region 3: I/O ports at <ignored> [size=4]
        Region 4: I/O ports at <ignored> [size=16]
        Capabilities: [60] Power Management version 1
                Flags: PMEClk- DSI+ D1+ D2+ AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=3 PME-

08:02.0 CardBus bridge: Texas Instruments PCI1420
        Subsystem: IBM: Unknown device 0148
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64, cache line size 08
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at <ignored> (32-bit, non-prefetchable) [size=4K]
        Bus: primary=08, secondary=09, subordinate=0b, sec-latency=128
        I/O window 0: 00000000-00000003
        I/O window 1: 00000000-00000003
        BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset+ 16bInt+ PostWrite+
        16-bit legacy interface ports at 0001

08:02.1 CardBus bridge: Texas Instruments PCI1420
        Subsystem: IBM: Unknown device 0148
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64, cache line size 08
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at <ignored> (32-bit, non-prefetchable) [size=4K]
        Bus: primary=08, secondary=0c, subordinate=0e, sec-latency=128
        I/O window 0: 00000000-00000003
        I/O window 1: 00000000-00000003
        BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset+ 16bInt+ PostWrite+
        16-bit legacy interface ports at 0001

Comment 1 Robert G. 'Doc' Savage 2002-12-13 20:02:41 UTC
Problem persists with latest errata kernel (2.4.18-18.8.0), but only when
booting in docking station with Symbios 53C810 host adapter installed.

Comment 2 Bugzilla owner 2004-09-30 15:40:12 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.